Package com.trilead.ssh2.signature

# Class RSAPrivateKey

java.lang.Object
com.trilead.ssh2.signature.RSAPrivateKey

public class RSAPrivateKey extends Object
RSAPrivateKey.

## Constructor Summary

Constructors
Constructor
Description
`RSAPrivateKey(BigInteger d, BigInteger e, BigInteger n)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getD()`
`BigInteger`
`getE()`
`BigInteger`
`getN()`
`RSAPublicKey`
`getPublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSAPrivateKey

public RSAPrivateKey(BigInteger d, BigInteger e, BigInteger n)

## Method Details

### getD

public BigInteger getD()

### getE

public BigInteger getE()

### getN

public BigInteger getN()

### getPublicKey

public RSAPublicKey getPublicKey()